org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.TypeElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.TypeElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.TypeElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Assignment` | `getClassnameAssignment_2()`
    `org.eclipse.xtext.CrossReference` | `getClassnameEClassifierCrossReference_2_0()`
    `org.eclipse.xtext.RuleCall` | `getClassnameEClassifierIDTerminalRuleCall_2_0_1()`
    `org.eclipse.xtext.Action` | `getClassTypeAction_0()`
    `org.eclipse.xtext.Keyword` | `getColonColonKeyword_1_1()`
    `org.eclipse.xtext.Group` | `getGroup_1()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Assignment` | `getMetamodelAssignment_1_0()`
    `org.eclipse.xtext.CrossReference` | `getMetamodelPackageImportCrossReference_1_0_0()`
    `org.eclipse.xtext.RuleCall` | `getMetamodelPackageImportIDTerminalRuleCall_1_0_0_1()`
    `org.eclipse.xtext.ParserRule` | `getRule()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeElements

          public TypeElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getClassTypeAction_0

          public org.eclipse.xtext.Action getClassTypeAction_0()

    - #### getGroup_1

          public org.eclipse.xtext.Group getGroup_1()

    - #### getMetamodelAssignment_1_0

          public org.eclipse.xtext.Assignment getMetamodelAssignment_1_0()

    - #### getMetamodelPackageImportCrossReference_1_0_0

          public org.eclipse.xtext.CrossReference getMetamodelPackageImportCrossReference_1_0_0()

    - #### getMetamodelPackageImportIDTerminalRuleCall_1_0_0_1

          public org.eclipse.xtext.RuleCall getMetamodelPackageImportIDTerminalRuleCall_1_0_0_1()

    - #### getColonColonKeyword_1_1

          public org.eclipse.xtext.Keyword getColonColonKeyword_1_1()

    - #### getClassnameAssignment_2

          public org.eclipse.xtext.Assignment getClassnameAssignment_2()

    - #### getClassnameEClassifierCrossReference_2_0

          public org.eclipse.xtext.CrossReference getClassnameEClassifierCrossReference_2_0()

    - #### getClassnameEClassifierIDTerminalRuleCall_2_0_1

          public org.eclipse.xtext.RuleCall getClassnameEClassifierIDTerminalRuleCall_2_0_1()